Page MenuHomePhabricator

Creation of Rollbacker group on ar.wikibooks
Closed, ResolvedPublic

Description

Hello all,
As discussed here, please add Rollbacker group to ar.wikibooks.

The users participate in the discussion is the most active users in ar.wikibooks project.
Also, I know that ar.wikibooks have a small and low-activity community, but as a sysop there I see that several users help in fighting against vandalism in this project, and they asked me several times to give them Rollbacker permission to help them in fighting-vandalism. So please accept this request.

Thanks

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAdd 'rollbacker' group at arwikibooks
operations/mediawiki-config : masterAdd 'rollbacker' group at arwikibooks

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 25 2018, 9:39 PM
alanajjar updated the task description. (Show Details)Jan 25 2018, 9:43 PM
Rxy triaged this task as Low priority.Jan 26 2018, 12:00 AM
Rxy added a subscriber: Rxy.

I think consensus is ok, but when only create a rollback group, any local users can not add or remove that rights to users (It should be request to stewards).
I think need permissions to add or remove a rollback rights by local sysops too.

@Rxy I think (And the community) that it'll be add/remove by local sysops.
I included this thing in the discussion previously.

Rxy claimed this task.Jan 26 2018, 1:12 AM

@Rxy I think (And the community) that it'll be add/remove by local sysops.
I included this thing in the discussion previously.

ok, thank for reply

Change 406256 had a related patch set uploaded (by Rxy; owner: Rxy):
[operations/mediawiki-config@master] Add 'rollbacker' group at arwikibooks

https://gerrit.wikimedia.org/r/406256

alanajjar updated the task description. (Show Details)Jan 26 2018, 1:31 AM

I scheduled deploy in Monday, January 29 14:00–15:00 UTC

Change 406256 merged by jenkins-bot:
[operations/mediawiki-config@master] Add 'rollbacker' group at arwikibooks

https://gerrit.wikimedia.org/r/406256

Change 406591 had a related patch set uploaded (by Rxy; owner: Rxy):
[operations/mediawiki-config@master] Add 'rollbacker' group at arwikibooks

https://gerrit.wikimedia.org/r/406591

Rxy added a comment.Jan 29 2018, 3:51 PM

I rescheduled due to problem found (T185898) in the past patch when deploying.
New schedule is Monday, January 29 19:00–20:00 UTC

Rxy added a comment.Jan 29 2018, 8:37 PM

Today's SWAT deployment for this task was extend due to server trouble and cancelled all SWAT deploys in this week.

New schedule is Monday, February 05 14:00–15:00 UTC

Change 406591 merged by jenkins-bot:
[operations/mediawiki-config@master] Add 'rollbacker' group at arwikibooks

https://gerrit.wikimedia.org/r/406591

Mentioned in SAL (#wikimedia-operations) [2018-02-05T14:11:45Z] <hashar@tin> Synchronized wmf-config/InitialiseSettings.php: Add 'rollbacker' group at arwikibooks - T185720 (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2018-02-05T14:22:30Z] <hashar@tin> Synchronized wmf-config/InitialiseSettings.php: Fix typo in arwikibooks rollbacker group - T185720 (duration: 00m 56s)

Rxy closed this task as Resolved.Feb 5 2018, 2:24 PM